%global momorel 3

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pysvn
Version:        1.6.3
Release:        %{momorel}m%{dist}
Summary:        Pythonic style bindings for Subversion
Group:          Development/Languages
License:        Apache
URL:            http://pysvn.tigris.org/
#Source0:        http://pysvn.barrys-emacs.org/source_kits/%{name}-%{version}.tar.gz
#NoSource:       0
Source0: pysvn-1.6.3.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel
BuildRequires:  PyXML
BuildRequires:  subversion-devel
BuildRequires:  krb5-devel
BuildRequires:  neon-devel
BuildRequires:  apr-devel
BuildRequires:  openssl-devel

%description
Pythonic style bindings for Subversion

%prep
%setup -q -n %{name}-%{version}

%build
pushd Source
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py configure --enable-debug --verbose --norpath --fixed-module-name
# Set correct build flags
%{__sed} -i -e 's/-Wall -fPIC -fexceptions -frtti/%{optflags} -fPIC -frtti/' Makefile
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m 755 %{buildroot}%{python_sitearch}/%{name}
%{__install} -p -m 644 Source/pysvn/__init__.py %{buildroot}%{python_sitearch}/%{name}
%{__install} -p -m 755 Source/pysvn/_pysvn.so %{buildroot}%{python_sitearch}/%{name}

%check
pushd Tests
%{__make} %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Docs/pysvn.html Docs/pysvn_prog_guide.html Docs/pysvn_prog_ref.html
%doc Docs/pysvn_prog_ref.js
%doc Examples
%doc LICENSE.txt
%{python_sitearch}/%{name}

%changelog
* Sat Apr 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.3-3m)
- update to trunk r1172
-- support subversion-1.6.0

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.3-2m)
- rebuild against openssl-0.9.8k

* Sat Mar  7 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.3-1m)
- update to 1.6.3

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.2-2m)
- rebuild against rpm-4.6

* Wed Jan 21 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.2-2m)
- import from Fedora to Momonga
 
* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 1.6.2-3
- rebuild with new openssl

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.6.2-2
- Rebuild for Python 2.6

* Tue Oct 28 2008 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.2-1
- Upstream to 1.6.2, upstream provided some build fixes to remove patches
-   (Thanks Barry!).  Re-enabled testing with provided patch to fix whitespace

* Sat Oct 11 2008 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.1-2
- Fixed lingering module versioning in __init__

* Mon Oct 06 2008 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.1-1
- Update to 1.6.1, fix F10 FBFS
- Disabled tests, might be because of subversion 1.5

* Wed Feb 27 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.3-1
- Update to 1.5.3

* Thu Feb 14 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-6
- Clean up. Name change (back to upstream)

* Tue Feb 12 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-5
- Temporary fix for tests.  Need to work with upstream for permanent fix.

* Fri Feb 08 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-4
- Fixed build requires, libgssapi-devel was still in there (for EL5 support)

* Fri Jan 11 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-3
- Merged patches and spec changes by Terje Rosten <terje.rosten@ntnu.no>
- Fixed the test failures

* Fri Jan 04 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-2 
- Attempting to make the spec work with different versions of Python

* Mon Sep 03 2007 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-1
- Update to 1.5.2
- Some spec clean up

* Fri Jan 12 2007 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.0-1
- Initial spec creation

